Skip to content

Get Available Contact Fields API ​

This API allows you to retrieve a list of available fields for your contact information. The fields can grow dynamically when you upload a new contact or update an existing contact with additional fields. There are 2 types of fields :

Static Fields : Default fields for basic contact information are available by default, and you can only update their values."

Dynamic Fields : Custom fields for extended contact details. If a new field is added during contact upload or update via api, it will automatically appear in the dynamic fields.

Parameters for getting Available Contact Fields ​

Headers Parameters ​

ParametersDescription
AuthorizationPlease add provided Bearer token - linked to your Cellcast account. Check here

Code Samples ​

GET https://api.cellcast.com/api/v2/contact/fields/available

bash
curl --location 'https://api.cellcast.com/api/v2/contact/fields/available' \
--header 'Authorization: Bearer {{API_KEY}}'

Replace with the actual API key that you own.

Responses ​

200 Success

json
{
    "staticFields": [
        "Number",
        "First Name",
        "Last Name",
        "Birthday",
        "Email",
        "Re-Subscribe"
    ],
    "dynamicFields": [
        "Full Name",
        "Address",
        "Postalcode",
        "Gender",
        "Post Code",
        "Date of Birth",
        "Last name",
        "Date Of Birth",
        "Special Field"
    ]
}

401 Unauthorized

json
{
  "code": 401,
  "message": "Token expired",
  "stack": "APIError: Token expired ...."
}